# -*- coding: utf-8 -*-
#
# This module contains the configuration of the individual eric installation
#

_pkg_config = {
    'ericDir': r'/usr/lib/python3/dist-packages/eric7',
    'ericPixDir': r'/usr/share/eric/pixmaps',
    'ericIconDir': r'/usr/share/eric/icons',
    'ericDTDDir': r'/usr/share/eric/DTDs',
    'ericCSSDir': r'/usr/share/eric/CSSs',
    'ericStylesDir': r'/usr/share/eric/Styles',
    'ericThemesDir': r'/usr/share/eric/Themes',
    'ericDocDir': r'/usr/share/doc/eric',
    'ericExamplesDir': r'/usr/share/doc/eric/examples',
    'ericTranslationsDir': r'/usr/share/qt6/translations/',
    'ericTemplatesDir': r'/usr/share/eric/DesignerTemplates',
    'ericCodeTemplatesDir': r'/usr/share/eric/CodeTemplates',
    'ericOthersDir': r'/usr/lib/python3/dist-packages/eric7',
    'bindir': r'/usr/bin',
    'mdir': r'/usr/lib/python3/dist-packages',
    'apidir': r'/usr/share/eric/api/',
    'apis': ['adafruit_circuitpython.api', 'calliope.api', 'circuitpython.api', 'eric7.api', 'microbit.api', 'micropython.api', 'micropython.api', 'qss.api'],
}

def getConfig(name):
    '''
    Module function to get a configuration value.

    @param name name of the configuration value    @type str
    @exception AttributeError raised to indicate an invalid config entry
    '''
    try:
        return _pkg_config[name]
    except KeyError:
        pass

    raise AttributeError(
        '"{0}" is not a valid configuration value'.format(name))
